From dfef2887f084d2ccf7e37f6b319254c3b73cbe65 Mon Sep 17 00:00:00 2001
From: Sedat Dilek <sedat.dilek@gmail.com>
Date: Tue, 3 Sep 2013 11:09:43 +0200
Subject: [PATCH 8/8] tools: Reorder <tool>_install, install and clean targets
 (v2)

Signed-off-by: Sedat Dilek <sedat.dilek@gmail.com>
---
 tools/Makefile | 48 +++++++++++++++++++++++++-----------------------
 1 file changed, 25 insertions(+), 23 deletions(-)

diff --git a/tools/Makefile b/tools/Makefile
index 8238e5f..5566829 100644
--- a/tools/Makefile
+++ b/tools/Makefile
@@ -34,10 +34,7 @@ help:
 	@echo '    the respective build directory.'
 	@echo '  clean: a summary clean target to clean _all_ folders'
 
-cpupower: FORCE
-	$(call descend,power/$@)
-
-cgroup firewire lguest usb virtio net: FORCE
+cgroup firewire lguest net usb virtio: FORCE
 	$(call descend,$@)
 
 liblk: FORCE
@@ -46,34 +43,35 @@ liblk: FORCE
 perf vm: liblk FORCE
 	$(call descend,$@)
 
-selftests: FORCE
-	$(call descend,testing/$@)
+cpupower: FORCE
+        $(call descend,power/$@)
 
 turbostat x86_energy_perf_policy: FORCE
 	$(call descend,power/x86/$@)
 
-all: cpupower cgroup firewire lguest net usb virtio perf vm selftests turbostat x86_energy_perf_policy
+selftests: FORCE
+        $(call descend,testing/$@)
 
-cpupower_install:
-	$(call descend,power/$(@:_install=),install)
+all: cgroup firewire lguest net usb virtio perf vm cpupower turbostat x86_energy_perf_policy selftests
 
-cgroup_install firewire_install lguest_install perf_install usb_install virtio_install vm_install net_install:
+cgroup_install firewire_install lguest_install net_install usb_install virtio_install perf_install vm_install:
 	$(call descend,$(@:_install=),install)
 
-selftests_install:
-	$(call descend,testing/$(@:_install=),install)
+cpupower_install:
+        $(call descend,power/$(@:_install=),install)
 
 turbostat_install x86_energy_perf_policy_install:
 	$(call descend,power/x86/$(@:_install=),install)
 
-install: cgroup_install cpupower_install firewire_install lguest_install \
-		perf_install selftests_install turbostat_install usb_install \
-		virtio_install vm_install net_install x86_energy_perf_policy_install
+selftests_install:
+        $(call descend,testing/$(@:_install=),install)
 
-cpupower_clean:
-	$(call descend,power/cpupower,clean)
+install: cgroup_install firewire_install lguest_install net_install usb_install virtio_install \
+               perf_install vm_install \
+               cpupower_install turbostat_install x86_energy_perf_policy_install \
+               selftests_install
 
-cgroup_clean firewire_clean lguest_clean usb_clean virtio_clean net_clean:
+cgroup_clean firewire_clean lguest_clean net_clean usb_clean virtio_clean:
 	$(call descend,$(@:_clean=),clean)
 
 liblk_clean:
@@ -82,14 +80,18 @@ liblk_clean:
 perf_clean vm_clean: liblk_clean
 	$(call descend,$(@:_clean=),clean)
 
-selftests_clean:
-	$(call descend,testing/$(@:_clean=),clean)
+cpupower_clean:
+        $(call descend,power/cpupower,clean)
 
 turbostat_clean x86_energy_perf_policy_clean:
 	$(call descend,power/x86/$(@:_clean=),clean)
 
-clean: cgroup_clean cpupower_clean firewire_clean lguest_clean perf_clean \
-		selftests_clean turbostat_clean usb_clean virtio_clean \
-		vm_clean net_clean x86_energy_perf_policy_clean
+selftests_clean:
+        $(call descend,testing/$(@:_clean=),clean)
+
+clean: cgroup_clean firewire_clean lguest_clean net_clean usb_clean virtio_clean \
+               perf_clean vm_clean \
+               cpupower_clean turbostat_clean x86_energy_perf_policy_clean \
+               selftests_clean
 
 .PHONY: FORCE
-- 
1.8.4

